Last Comment Bug 737784 - WYSIWYG editor in Mambo ceases to visualise following update to Firefox 11 (TinyMCE)
: WYSIWYG editor in Mambo ceases to visualise following update to Firefox 11 (T...
Status: RESOLVED FIXED
[qa+]
: regression, testcase
Product: Core
Classification: Components
Component: Layout: HTML Frames (show other bugs)
: 11 Branch
: x86 All
: -- normal (vote)
: mozilla14
Assigned To: Robert O'Callahan (:roc) (email my personal email if necessary)
:
: Jet Villegas (:jet)
Mentors:
: 736518 736952 739141 739398 739423 743726 743980 (view as bug list)
Depends on:
Blocks: 699351
  Show dependency treegraph
 
Reported: 2012-03-21 02:33 PDT by Chris Wood
Modified: 2014-09-05 03:00 PDT (History)
26 users (show)
djcater+bugzilla: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
affected
+
verified
+
verified
unaffected


Attachments
script that sets designmode (240.94 KB, application/x-javascript)
2012-03-21 12:12 PDT, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details
fix (907 bytes, patch)
2012-03-21 19:30 PDT, Robert O'Callahan (:roc) (email my personal email if necessary)
tnikkel: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
akeybl: approval‑mozilla‑esr10-
Details | Diff | Splinter Review
testcase (662 bytes, text/html)
2012-03-29 16:39 PDT, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details

Description Chris Wood 2012-03-21 02:33:08 PDT
User Agent: Mozilla/5.0 (Windows NT 5.2; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120312181643

Steps to reproduce:

Allowed Firefox to autoupdate


Actual results:

The Primary WYSIWYG editor window in MAMBO 4.6.5 no long shows any content. The only way to edit/add is to go into raw HTML and hand edit.

The secondary WYSYWYG editor window however visualises perfectly.

This occurs on Win2003Server and Windows7. I've cross checked in Explorer and Safari - all works fine there.

I'm going to attemt to rollback . shame there is no rollback fuction in Firefox update!.
Comment 1 Chris Wood 2012-03-21 02:44:32 PDT
Just rolled back to Firefox 10.0.2 - problem gone. mambo WYSYWIG editor now funcions correctly.
Comment 2 Alice0775 White 2012-03-21 05:59:54 PDT
I can confirm on Mambo demo page.
The editor does not work in Firefox 11 and later.

Step To Reproduce:
1. Start Firefox with clen profile
2. Open http://www.opensourcecms.com/scripts/details.php?scriptid=44
3. Click "Demo Main Page" button (before click, you memorize username and password listed below the button)
4. Enter username & password and Click LOGIN button
5. Edit icon in "Welcome to Mambo!  ( Public )"
6. Click first editor body

Actual Results:
  Cannot focus. Cannot position caret.
  Cannot type any text
  Editer does not work

Expected Results:
  Editer should work properly


Regression window(cached m-c)
Works:
http://hg.mozilla.org/mozilla-central/rev/cb70391c86d9
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111205 Firefox/11.0a1 ID:20111205043819
Fails:
http://hg.mozilla.org/mozilla-central/rev/fafaf614791f
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111206 Firefox/11.0a1 ID:20111206031117
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=cb70391c86d9&tochange=fafaf614791f


Regression window(cached m-i)
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/03420089b4af
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111205 Firefox/11.0a1 ID:20111205030218
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/d991d9770292
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111205 Firefox/11.0a1 ID:20111205045018
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=03420089b4af&tochange=d991d9770292

Suspected: Bug 699351
Comment 3 Alice0775 White 2012-03-21 11:57:57 PDT
In local build
Last good:78d0b89c9800(incl.d991d9770292)
First bad: f08d9c2c8fef(incl.d991d9770292)

Triggered by:
f08d9c2c8fef	Robert O'Callahan — Bug 699351. Part 3: Fix clipping to subdocument to not use subdocument root view bounds. r=tnikkel
Comment 4 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-03-21 12:12:51 PDT
Created attachment 608050 [details]
script that sets designmode

I tried to get a minimized testcase, but I failed. This is at least the script that sets designMode to the iframes (this js file is inserted from tiny_mce_gzip.js ).

Not sure why this triggers the content of the first iframe to be blank.
I noticed that resizing the designMode iframe or setting it to display: inline makes the content appear and editable.
Comment 5 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-21 17:02:54 PDT
The new code depends on mInnerView's bounds being set correctly. Unfortunately, the width and height are 0,0 in this case.
Comment 6 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-21 19:30:07 PDT
Created attachment 608199 [details] [diff] [review]
fix

This fixes it.

I'm not sure what actually triggers this bug, so I don't have a test. Presumably we somehow reflow the nsSubdocumentFrame before EnsureInnerView is ever called.
Comment 7 Timothy Nikkel (:tnikkel) 2012-03-21 19:51:42 PDT
Comment on attachment 608199 [details] [diff] [review]
fix

Wonder why we didn't do it this way before.
Comment 8 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-21 20:17:36 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/4790b56fe677
Comment 9 Marco Bonardo [::mak] 2012-03-22 06:48:01 PDT
https://hg.mozilla.org/mozilla-central/rev/4790b56fe677
Comment 10 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-22 09:13:44 PDT
Comment on attachment 608199 [details] [diff] [review]
fix

Review of attachment 608199 [details] [diff] [review]:
-----------------------------------------------------------------

Risk analysis: relatively low risk. Eagerly does something that we used to do lazily (but would almost always do almost immediately anyway). This is quite a severe regression, breaking core Mambo functionality.
Comment 11 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-22 10:07:00 PDT
*** Bug 736952 has been marked as a duplicate of this bug. ***
Comment 12 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-22 10:07:46 PDT
(In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #10)
> Risk analysis: relatively low risk. Eagerly does something that we used to
> do lazily (but would almost always do almost immediately anyway). This is
> quite a severe regression, breaking core Mambo functionality.

... And TinyMCE.
Comment 13 Alex Keybl [:akeybl] 2012-03-22 13:29:18 PDT
(In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #12)
> (In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #10)
> > Risk analysis: relatively low risk. Eagerly does something that we used to
> > do lazily (but would almost always do almost immediately anyway). This is
> > quite a severe regression, breaking core Mambo functionality.
> 
> ... And TinyMCE.

Is there something in particular we can grep for on the web to see the full impact of this regression?
Comment 14 Alex Keybl [:akeybl] 2012-03-22 13:30:48 PDT
Comment on attachment 608199 [details] [diff] [review]
fix

[Triage Comment]
Approved for Aurora 13 and Beta 12. This shouldn't affect the ESR10 though.
Comment 15 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-22 14:08:35 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/7f0430a6cad1
https://hg.mozilla.org/releases/mozilla-aurora/rev/e64001c17c65
Comment 16 juan becerra [:juanb] 2012-03-22 15:45:01 PDT
A Google search finds Mambo or TinyMCE and Firefox 11 as some of the top results, pointing to forum entries where people report the problem. They also report updating their TinyMCE installations which fixes the problem, but for some people updating TinyMCE is a bit involved so they are waiting for a fix or other suggestions.
Comment 17 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-03-25 15:38:20 PDT
(In reply to Alex Keybl [:akeybl] from comment #13)
> (In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #12)
> > (In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #10)
> > > Risk analysis: relatively low risk. Eagerly does something that we used to
> > > do lazily (but would almost always do almost immediately anyway). This is
> > > quite a severe regression, breaking core Mambo functionality.
> > 
> > ... And TinyMCE.
> 
> Is there something in particular we can grep for on the web to see the full
> impact of this regression?

I can't think of anything.
Comment 18 Mark Pearson 2012-03-26 11:58:22 PDT
A google search of 'Tinymce firefox 11' will reveal that it affects at least the following:
Drupal 6 (and possibly 7), Moodle 2.1, concrete5, plone, modx.
This bug has proven a major major hassle to moodle admins like myself.
Comment 19 Boris Zbarsky [:bz] (still a bit busy) 2012-03-26 16:08:33 PDT
*** Bug 739398 has been marked as a duplicate of this bug. ***
Comment 20 Matthias Versen [:Matti] 2012-03-26 16:46:26 PDT
*** Bug 739141 has been marked as a duplicate of this bug. ***
Comment 21 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-03-27 02:49:41 PDT
I have an unminimized testcase here that shows the issue:
http://people.mozilla.org/~mwargers/tests/unminimized/mambo/index.php.htm
If wanted I could get reduced testcase.
Comment 22 Matthias Versen [:Matti] 2012-03-27 06:55:51 PDT
*** Bug 739141 has been marked as a duplicate of this bug. ***
Comment 23 Alex Keybl [:akeybl] 2012-03-27 12:33:07 PDT
*** Bug 739423 has been marked as a duplicate of this bug. ***
Comment 24 Philip Chee 2012-03-28 22:19:22 PDT
*** Bug 689054 has been marked as a duplicate of this bug. ***
Comment 25 K Chayka 2012-03-29 04:26:16 PDT
(In reply to Martijn Wargers [:mw22] (QA - IRC nick: mw22) from comment #21)
> I have an unminimized testcase here that shows the issue:
> http://people.mozilla.org/~mwargers/tests/unminimized/mambo/index.php.htm

I don't know if this will help at all, but I had a similar problem with a Seamonkey nightly build upgrade and a CMS with multiple editor controls. It turned out to be a caching issue with the tinymce gzip compressor, which is also being used in your testcase. After I removed the files created by tiny_mce_gzip.js it cleared right up.
Comment 26 Marek Stępień [:marcoos, inactive] 2012-03-29 15:28:02 PDT
Maybe this should be added to "known issues" in Firefox 11 relnotes?
Comment 27 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-03-29 16:39:22 PDT
Created attachment 610751 [details]
testcase
Comment 28 Al Billings [:abillings] 2012-04-09 13:49:09 PDT
*** Bug 743726 has been marked as a duplicate of this bug. ***
Comment 29 Vlad [QA] 2012-04-13 03:38:25 PDT
Verified on:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0 beta 5
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:12.0) Gecko/20100101 Firefox/12.0 beta 5
Mozilla/5.0 (X11; Linux i686; rv:12.0) Gecko/20100101 Firefox/12.0 beta 5

I have used the steps from comment2 and also the test case from comment27 and the the Mambo editor is working as expected and also the text is visible in the test case.

Marking this as verified on Firefox 12 Beta.
Comment 30 rlintern 2012-04-16 12:07:15 PDT
FYI. Also a problem with Dojo's dijit rich text Editor. See my comments in likely duplicate https://bugzilla.mozilla.org/show_bug.cgi?id=736518
Comment 31 j.j. 2012-04-16 21:25:10 PDT
*** Bug 736518 has been marked as a duplicate of this bug. ***
Comment 32 Vlad [QA] 2012-05-16 08:02:17 PDT
Verified on:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0 beta 3
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:13.0) Gecko/20100101 Firefox/13.0 beta 3
Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0 beta 3

I have used the steps from comment2 and the the Mambo editor is working as expected.

Marking this as Verified Fixed on Firefox 13 beta
Comment 33 Hallvord R. M. Steen [:hallvors] 2014-09-05 03:00:40 PDT
*** Bug 743980 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.